Account usage (beta)
Get SDK versions usage details
For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Get detailed SDK version usage data for your account, including version information, EOL status, and relay proxy metadata. Refreshed hourly, returns the max version for each SDK observed in the last 24 hours, including those without EOL metadata available.
This endpoint provides comprehensive information about SDK versions in use across your projects and environments.
GET
/
api
/
v2
/
usage
/
sdk-versions
/
details
Get SDK versions usage details
curl --request GET \
--url https://app.launchdarkly.com/api/v2/usage/sdk-versions/details \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/usage/sdk-versions/details"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/usage/sdk-versions/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.launchdarkly.com/api/v2/usage/sdk-versions/details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.launchdarkly.com/api/v2/usage/sdk-versions/details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.launchdarkly.com/api/v2/usage/sdk-versions/details")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.launchdarkly.com/api/v2/usage/sdk-versions/details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"name": "<string>",
"version": "<string>",
"type": "<string>",
"projectId": "<string>",
"projectKey": "<string>",
"projectName": "<string>",
"environmentId": "<string>",
"environmentKey": "<string>",
"environmentName": "<string>",
"applicationId": "<string>",
"ldLatestVersion": "<string>",
"eolStatus": "<string>",
"latestReleaseUrl": "<string>",
"connectionType": "<string>",
"relayVersion": "<string>",
"relayEolStatus": "<string>",
"relayLatestVersion": "<string>",
"relayLatestReleaseUrl": "<string>"
}
]{
"code": "invalid_request",
"message": "Invalid request body"
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}{
"code": "service_unavailable",
"message": "Requested service unavailable"
}Authorizations
Response
SDK versions usage response
⌘I
Get SDK versions usage details
curl --request GET \
--url https://app.launchdarkly.com/api/v2/usage/sdk-versions/details \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/usage/sdk-versions/details"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/usage/sdk-versions/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.launchdarkly.com/api/v2/usage/sdk-versions/details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.launchdarkly.com/api/v2/usage/sdk-versions/details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.launchdarkly.com/api/v2/usage/sdk-versions/details")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.launchdarkly.com/api/v2/usage/sdk-versions/details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"name": "<string>",
"version": "<string>",
"type": "<string>",
"projectId": "<string>",
"projectKey": "<string>",
"projectName": "<string>",
"environmentId": "<string>",
"environmentKey": "<string>",
"environmentName": "<string>",
"applicationId": "<string>",
"ldLatestVersion": "<string>",
"eolStatus": "<string>",
"latestReleaseUrl": "<string>",
"connectionType": "<string>",
"relayVersion": "<string>",
"relayEolStatus": "<string>",
"relayLatestVersion": "<string>",
"relayLatestReleaseUrl": "<string>"
}
]{
"code": "invalid_request",
"message": "Invalid request body"
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}{
"code": "service_unavailable",
"message": "Requested service unavailable"
}